Lazarus telepítése

Fórum: 

Sziasztok,

Segítséget kérnék. A rendszerem egy 64 bites LM 18.1. Szükségem van a Lazarus-ra, pontosabban ennek a 32 bites verziójára. Letöltöttem a szükséges fájlokat.

Mikor elkezdtem a telepítést, jött a meglepi. A jobbklikk-menüből GDebi Package Installer-rel indítom az installt és ez a szitu fogad: kép

Tehát, el akar távolítani egy csomó cuccot, ráadásul ezek alapvető fontosságúak (pl. Cinnamon stb).

Itt rögtön le is álltam a telepítéssel, és próbaképpen újra nekifogtam, de immár a VirtualBox-ban. Jól tettem, hogy óvatos voltam, szét is barmolta a vbox-os LM- et.

Kérdésem, hogyan kéne ezt kivitelezni, jól. Köszi

tresor képe

Lazarus telepítése

@#0 Synaptic-ban nincs benne a neked szükséges Lazarus verzió? Nálam benn van a Synaptic-ban és ha kijelölöm telepítésre, ugyan sok mindent hozna magával, de eltávolítani semmit nem akarna. Igaz a rendszerem 18.04 Daliy Build. Érdemes lenne megnézned, hogy mi van nálad.

 

LinuxMint 18.3 Xfce 64bit rendszeren az elérhető Lazarus synaptic-ból: lazarus 1.6+dfsg-1(xenial).

Szintén hozná a dolgait, de nem akar semmit eltávolítani.

Értékelés: 

0
Még nincs értékelve

Köszi a választ! Egyfelől a

Köszi a választ! Egyfelől a Synaptic-ban régi verzió van csak (1.6, szemben az aktuális 1.8-al), másrészt nekem a 32 bites kell (gondolom a Synaptic a 64 bitest kínálja, mivel a rendszerem az).

Értékelés: 

0
Még nincs értékelve

Nos, azóta feltettem egy új

Nos, azóta feltettem egy új virtual machine-t, ezúttal egy 32 bites LM18.3-at (mivel 32 bites Lazarusra van szükségem).

A Lazarus telepítő 3 fájl közül elsőként az fpc-t kezdem installálni a GDebi installerrel. Felinstallálja, de a végén ezt kapom: kép

Mi a franc ez? LM szűz install volt, nincs rajta fpc elvileg (legalábbis a Synaptic nem mutatja).

Értékelés: 

0
Még nincs értékelve

Megoldás

Jópár óra kínlódás után összeállt a dolog. Ha mást is érdekel, ez a lényeg:

 

1./ Letölteni a 3 szükséges fájlt (fpc,fpc-src,lazarus) innen:
http://www.lazarus-ide.org/
Egy könyvtárban legyenek (mindegy, hol)
2./
Terminálban:
$ sudo apt-get install libgtk2.0-dev
3./
A fenti 3 fájlt tartalmazó foldert megnyitni a Terminálban, majd:
$ sudo dpkg -i *.deb
Kész!

A GDebi installer-es install nem jó, Terminálból kell, a fentiek szerint. Tök véletlenül, egy külföldi fórum kellős kozepén találtam rá a 2-es pontra, nem tudom, miért nem lehetett ezt a hivatalos infóban megadni ...

Értékelés: 

0
Még nincs értékelve
kimarite képe

nem tudom, miért nem lehetett ezt a hivatalos infóban megadni ..

#4 A hivatalos információ:
You can download Lazarus 1.8.2 which is accompanied by FPC 3.0.4 from this page.
http://www.lazarus-ide.org/index.php?page=downloads
A Sourceforge letöltő oldal.

Értékelés: 

0
Még nincs értékelve

nem tudom, miért nem lehetett ezt a hivatalos infóban megadni ..

#5 Ezt most nem tudom, hogy mire írtad.

Én erre mondtam, hogy írhatták volna:

$ sudo apt-get install libgtk2.0-dev

Értékelés: 

0
Még nincs értékelve
kimarite képe

nem tudom, miért nem lehetett ezt a hivatalos infóban megadni ..

#6 Értem, megértelek :), persze, írhatták volna ..., de elég nagy 'bátorság' kell az ilyen telepítéshez, és így vélhetően azt gondolták -persze ez egy szemlélet csak, jobb a bővebb tájékoztatás- feltételezték, hogy tudod, a csomag forgatáshoz az általuk említett csomag *.-dev(elopment), azaz fejlesztői változata kell ..., amely csomag nevének végződése az RPM csomagkezelőt használó rendszerek alatt más, azaz *.-devel. Azaz írhattak volna még annál is többet, mint amit te szerettél volna, más rendszerekhez is. ;)

Sőt ... még a telepítőhöz is szükséges függőségként jelentkezik az FPC fejlesztői csomag (is), hát igen.

Értékelés: 

0
Még nincs értékelve